Ubuntu

# Packages needed in order to use autotools
sudo apt-get install autoconf2.13 libtool intltool

# Libraries
sudo apt-get install libboost1.46-all-dev libgtkmm-3.0-1 libgtkmm-3.0-dev libxml2 libxml2-dev libtorrent-rasterbar6 libtorrent-rasterbar-dev

# Optional
sudo apt-get install libnotify-dev

# Get the source code (from svn in this case)
svn co https://lincetorrent.svn.sourceforge.net/svnroot/lincetorrent/trunk lince

# Compile and install
cd lince
sh build.sh
./confgure; make;
make install

From GetDeb

# Install the repository GPG key:
wget -q -O- http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -

# Add the following line to /etc/apt/sources.list:
deb http://archive.getdeb.net/ubuntu/ precise-getdeb apps

# Update the package index:
sudo apt-get update

# Install lince deb package:
sudo apt-get install lince

Archlinux

From aur